=== debian/control ===
Source: ros-indigo-fetch-pbd-interaction
Section: misc
Priority: extra
Maintainer: Sarah Elliott <sksellio@gmail.com>
Build-Depends: debhelper (>= 9.0.0), git-core, python-couchdb, ros-indigo-actionlib, ros-indigo-catkin, ros-indigo-fetch-arm-control, ros-indigo-geometry-msgs, ros-indigo-interactive-marker-proxy, ros-indigo-interactive-markers, ros-indigo-message-generation, ros-indigo-moveit-commander, ros-indigo-moveit-msgs, ros-indigo-moveit-ros-planning, ros-indigo-moveit-ros-planning-interface, ros-indigo-pcl-ros, ros-indigo-rail-manipulation-msgs (>= 0.0.10-0), ros-indigo-rail-segmentation (>> 0.1.9-0), ros-indigo-rosbridge-server, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-rospy-message-converter, ros-indigo-std-msgs, ros-indigo-tf2-web-republisher
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-fetch-pbd-interaction
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, couchdb, python-couchdb, ros-indigo-fetch-arm-control, ros-indigo-geometry-msgs, ros-indigo-interactive-marker-proxy, ros-indigo-interactive-markers, ros-indigo-message-runtime, ros-indigo-moveit-commander, ros-indigo-moveit-msgs, ros-indigo-moveit-ros-planning, ros-indigo-pcl-ros, ros-indigo-rail-manipulation-msgs (>= 0.0.10-0), ros-indigo-rail-segmentation (>> 0.1.9-0), ros-indigo-ros-numpy, ros-indigo-rosbridge-server, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-rospy-message-converter, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-tf2-web-republisher
Description: The fetch_pbd_interaction package
